# class KEdFind |
Definition | `#include <keditcl.h>`
Inherits | KDialogBase [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KEdFind ( QWidget *parent = 0, const char *name=0, bool modal=true)
- ~KEdFind ()
- QString getText () const
- void setText (QString string)
- void setCaseSensitive ( bool b )
- bool case_sensitive () const
- void setDirection ( bool b )
- bool get_direction () const
- KHistoryCombo * searchCombo () const

#### Signals

- void search ()
- void done ()

#### Protected Slots

- void slotCancel ( void )
- void slotUser1 ( void )

## Detailed Description

KEdFind ( QWidget *parent = 0, const char *name=0, bool modal=true) | ### KEdFind

~KEdFind () | ### ~KEdFind

QString getText () | ### getText

[const]

void setText (QString string) | ### setText

void setCaseSensitive ( bool b ) | ### setCaseSensitive

bool case_sensitive () | ### case_sensitive

[const]

void setDirection ( bool b ) | ### setDirection

bool get_direction () | ### get_direction

[const]

KHistoryCombo * searchCombo () | ### searchCombo

[const]

Returns: the combobox containing the history of searches. Can be used to save and restore the history.

void slotCancel ( void ) | ### slotCancel

[protected slots slot]

Reimplemented from KDialogBase.

void slotUser1 ( void ) | ### slotUser1

[protected slots slot]

Reimplemented from KDialogBase.

void search () | ### search

[signal]

void done () | ### done

[signal]

Reimplemented from QDialog.

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.